%define name kmplayer
%define version 0.7a
%define release 3mdk

Summary:	MPlayer frontend for KDE
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
Url:		http://www.xs4all.nl/~jjvrieze/
Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}-0.6-arts.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	mplayer

%description
Kmplayer can play all the audio/video supported by MPlayer from local 
file or url, be embedded inside Konqueror and KHTML and play DVD's.

%prep
%setup -q -n %{name}
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --mandir=%{_mandir} \
            --datadir=%{_datadir} \
            --disable-debug \
            --enable-mt \
            --enable-shared \
            --disable-static \
            --disable-objprelink \
            --with-pic \
            --with-gnu-ld \
            --disable-rpath \
            --disable-embedded \
            --enable-fast-install=yes \
            --with-qt-dir=/usr/lib/qt3


%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std transform=""

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/kmplayer"\
title="Kmplayer"\
longtitle="KDE mplayer gui"\
needs="x11"\
icon="video_section.png"\
section="Multimedia/Video"
EOF
)

rm %{buildroot}%{_datadir}/mimelnk/video/x-ms-asf.desktop 
 
%{find_lang} %{name}

%post
%update_menus

%postun
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/*
%{_libdir}/kde3/kparts*
%{_libdir}/kdeinit*
%{_datadir}/applnk/Multimedia/More/*.desktop
%{_datadir}/applnk/Multimedia/*.desktop
%{_datadir}/config/*
%{_docdir}/HTML/en/kmplayer
%{_datadir}/services/*
%{_datadir}/mimelnk/application/x-*
%{_datadir}/mimelnk/video/x-*
%{_datadir}/apps/%{name}

%{_menudir}/*

%changelog
* Thu Feb 27 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.7a-3mdk
- Require mplayer(doh!)
- rm -rf buildroot during install
- more consistent spec
- quiet setup

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 0.7a-2mdk
- fix conflict with mandrake-mime

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 0.7a-1mdk
- 0.7a

* Mon Jan 13 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6-0.2mdk
- from Elliott Martin <elliott@pdx.edu> :
	- add patch to make mplayer run using -ao arts

* Mon Jan 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6-0.1mdk
- fix file section
- add menu
- from Elliott Martin <elliott@pdx.edu> :
	- new rpm, version 0.6
